## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface DictionaryType

All Known Implementing Classes:
  DictionaryTypeImpl

    public interface DictionaryType

A representation of the model object 'Dictionary Type'.

The following features are supported:

- `Key Type`

See Also:
  `ImperativeOCLPackage.getDictionaryType()`

Method Summary
`EClassifier` `getKeyType()` Returns the value of the 'Key Type' reference
`void` `setKeyType(EClassifier value)` Sets the value of the '`Key Type`' reference

Method Detail

### getKeyType

    EClassifier getKeyType()

  Returns the value of the 'Key Type' reference.

  If the meaning of the 'Key Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key Type' reference.
  See Also:
    `setKeyType(EClassifier)`, `ImperativeOCLPackage.getDictionaryType_KeyType()`

### setKeyType

    void setKeyType(EClassifier value)

  Sets the value of the '`Key Type`' reference.

  Parameters:
    `value` - the new value of the 'Key Type' reference.
  See Also:
    `getKeyType()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.